#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.15
visibility:           public
id:                   foldl-1.4.15-J2weECpq8b6IYZicRb5Ba
key:                  foldl-1.4.15-J2weECpq8b6IYZicRb5Ba
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  491624261627f92b278d829490f62452
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.15-J2weECpq8b6IYZicRb5Ba
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-1zgluuiDxbA1HxKV8ftkIY containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.3.0-ESEjVh9IF6l3kXlrvIyche
    primitive-0.7.4.0-8SmDsFCxSqgE7BzeiM7pZ4
    profunctors-5.6.2-Gl8Vzdu7hPbERin5waK4WF
    random-1.2.1.1-Jsd8w3Sbg0mK17rOHVUzgD
    semigroupoids-5.3.7-8Z8Rca56BuE8mvKgtu1SkI text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

